js兼容性查询网站:caniuse

CanIUse是一个非常有用的工具,可以快速可视化哪些前端技术与哪些浏览器兼容。你可能已经在我们的博客文章中看到了各种CanIUse支持表格的截图。在将特定技术实现到自己的设置之前,它们可以帮助读者快速了解该技术的兼容性。

caniuse

“Can I use”提供最新的浏览器支持表,支持桌面和移动web浏览器上的前端web技术。

CanIUse Via the Command Line

除了直接从CanIUse网站查看支持表外,还有一个为喜欢命令行工具的用户提供的选项。这个设置非常简单。首先,您需要确保安装了Node.js,它是npm预打包的。要检查是否已经安装了npm,只需在CLI中运行npm -v。

npm install -g caniuse-cmd
caniuse preload

还有许多选项可以根据个人喜好和所需的信息来使用。这些内容包括:
—short, -s short输出:一行显示浏览器,不显示注释或描述(显示多个结果时默认)[布尔值]
—long, -l long输出:显示更多信息(显示单个结果时的默认值)[布尔值]
-oneline, -1单行输出:只有全局百分比,没有每个浏览器的信息

总的来说,CanIUse是一个很好的工具,可以用来确定哪些浏览器和浏览器版本支持特定的前端技术。希望这篇文章为您提供了更多的选项来查看或显示您以前不知道的CanIUse信息。

shell分析nginx日志
Git format-patch用法